Index: /trunk/environment.sh
===================================================================
--- /trunk/environment.sh	(revision 87)
+++ /trunk/environment.sh	(revision 88)
@@ -26,31 +26,28 @@
 # Export environement
 export MORPHEO_TOPLEVEL=${PWD}
-#export MORPHEO_PLATFORMS=${MORPHEO_TOPLEVEL}/Platforms
-#export MORPHEO_SOFTWARE=${MORPHEO_TOPLEVEL}/Softwares
-#export MORPHEO_IPS=${MORPHEO_TOPLEVEL}/IPs/systemC
 export MORPHEO_SCRIPT=${MORPHEO_TOPLEVEL}/IPs/systemC/processor/Morpheo/Script
-export MORPHEO_HOME=${HOME}/.morpheo
+export MORPHEO_HOME=${HOME}/.Morpheo
+export MORPHEO_TMP=/tmp/Morpheo
+       MORPHEO_XTTY=${MORPHEO_TOPLEVEL}/IPs/systemC/Environment/TTY/xtty
 
 echo ""
-echo "OS found : $OS_FOUND"
+echo "OS found : ${OS_FOUND}"
 echo ""
-echo "Modification of environement's variable : "
-echo " - MORPHEO_TOPLEVEL    is set to ${MORPHEO_TOPLEVEL} "
-#echo " - MORPHEO_PLATFORMS   is set to ${MORPHEO_PLATFORMS}"
-#echo " - MORPHEO_SOFTWARE    is set to ${MORPHEO_SOFTWARE} "
-#echo " - MORPHEO_IPS         is set to ${MORPHEO_IPS}      "
-echo " - MORPHEO_SCRIPT      is set to ${MORPHEO_SCRIPT}   "
-echo " - MORPHEO_HOME        is set to ${MORPHEO_HOME}     "
+echo "Modification of environement's variable :"
+echo " - MORPHEO_TOPLEVEL is set to ${MORPHEO_TOPLEVEL}"
+echo " - MORPHEO_SCRIPT   is set to ${MORPHEO_SCRIPT}"
+echo " - MORPHEO_HOME     is set to ${MORPHEO_HOME}"
+echo " - MORPHEO_TMP      is set to ${MORPHEO_TMP}"
 
+#----------
+# Path : add xtty and script directory.
+#        test if already in path : no multiple addition
+#----------
 
-# PATH : No multiple add
 echo ${PATH} |grep -q ${MORPHEO_SCRIPT};
-
 if test $? -eq 1; then
     export  PATH=${PATH}:${MORPHEO_SCRIPT}
-    echo " - PATH                add       ${MORPHEO_SCRIPT}   "
+    echo " - PATH             add       ${MORPHEO_SCRIPT}"
 fi;
-
-MORPHEO_XTTY=${MORPHEO_TOPLEVEL}/IPs/systemC/Environment/TTY/xtty
 
 echo ${PATH} |grep -q ${MORPHEO_XTTY};
@@ -58,12 +55,5 @@
 if test $? -eq 1; then
     export  PATH=${PATH}:${MORPHEO_XTTY}
-    echo " - PATH                add       ${MORPHEO_XTTY}   "
-fi;
-
-
-# test if "first run"
-if test ! -d ${MORPHEO_HOME}; then
-    echo " - MORPHEO_HOME        don't exist : first run       "
-    . ${MORPHEO_SCRIPT}/first_run.sh
+    echo " - PATH             add       ${MORPHEO_XTTY}"
 fi;
 
